# PokemonBattleSummonData | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PokemonBattleSummonData

- Defined in src/field/pokemon.ts:7667

##### Index

### Constructors

constructor

### Properties

moveHistory
turnCount
waveTurnCount

## Constructors

### constructor

- new PokemonBattleSummonData(): PokemonBattleSummonData

  #### Returns PokemonBattleSummonData

## Properties

### moveHistory

moveHistory: TurnMove [] = []

The list of moves the pokemon has used since entering the battle

- Defined in src/field/pokemon.ts:7673

### turnCount

turnCount: number = 1

The number of turns the pokemon has passed since entering the battle

- Defined in src/field/pokemon.ts:7669

### waveTurnCount

waveTurnCount: number = 1

The number of turns the pokemon has passed since the start of the wave

- Defined in src/field/pokemon.ts:7671